# $Revision: 1.6 $, $Date: 2002/07/21 17:32:24 $
Summary:	Generic Apache Request Library
Summary(pl):	Standardowa biblioteka zapyta Apache
Summary(pt_BR):	Biblioteca de requisioes do Apache
Name:		libapreq
Version:	1.0
Release:	3
License:	Apache Group
Group:		Libraries
Source0:	http://www.apache.org/dist/httpd/%{name}/%{name}-%{version}.tar.gz
URL:		http://httpd.apache.org/apreq/
BuildRequires:	apache-mod_perl >= 1.26-5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	/usr/bin/pod2man
Requires:	apache-mod_perl >= 1.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# remember about perl-libapreq.spec when incrementing version

%description
This package contains modules for manipulating client request data via
the Apache API with C.

%description -l pl
Ten pakiet zawiera moduy, suce do manipulowania danymi z zapyta
klientw HTTP danymi poprzez API Apache przy uyciu C.

%description -l pt_BR
Este pacote contm mdulos para a manipulao de requisies de
cliente atravs da API do Apache em C.

%package devel
Summary:	libapreq header files
Summary(pl):	Pliki nagwkowe libapreq
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
libapreq header files.

%description devel -l pl
Pliki nagwkowe biblioteki libapreq.

%package static
Summary:	libapreq static library
Summary(pl):	Statyczna biblioteka libapreq
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libapreq library.

%description static -l pl
Statyczna wersja biblioteki libapreq.

%prep
%setup -q -n %{name}-%{version}

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-apache-includes=%{_includedir}/apache

%{__make}

/usr/bin/pod2man --section=3 libapreq.pod > libapreq.3

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -D libapreq.3 $RPM_BUILD_ROOT%{_mandir}/man3/libapreq.3

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/c/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes CREDITS README ToDo
%attr (755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr (755,root,root) %{_libdir}/*.so
%attr (755,root,root) %{_libdir}/*.la
%{_includedir}/libapreq
%{_mandir}/man3/libapreq.3*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libapreq.spec,v $
Revision 1.6  2002/07/21 17:32:24  kloczek
- release 3.

Revision 1.5  2002/07/21 14:39:34  radek
- minor bugfixes

Revision 1.4  2002/07/21 01:15:33  qboosh
- use standard library scheme (separated -devel and -static)
- use %%configure macro (pass proper environment macros)
- fixed libapreq(3) man section
- release 2

Revision 1.3  2002/07/20 13:54:48  radek
- fixed stupid bug: manpage compressed twice

Revision 1.2  2002/07/19 22:12:45  radek
- removed perl stuff and fixed
- final version (excluding cosmetics ;-) for now, release 1, STBR

Revision 1.1  2002/07/19 09:45:41  radek
- renamed from perl-libapreq.spec
- added C libraries

Revision 1.5  2002/07/12 22:16:52  ankry
- name changed to: perl-libapreq ("this is not perl-libwww package")
- added files (except dos) to %%files
- release 1 again

Revision 1.4  2002/07/12 12:47:15  ankry
- BR: apache-mod_perl
- release 2

Revision 1.3  2002/05/14 14:35:25  qboosh
- proper URLs, partial cleanup (now it isn't spec for perl-libwww); doesn't build though

Revision 1.2  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/04/20 14:46:26  marcus
- initial (buggy) spec, it needs many work...
